const path = require('path');
const nodeExternals = require('webpack-node-externals');

const config = {
    entry: './src/index.js',

    target: 'node',
    
    output: {
        path: path.resolve(__dirname, 'build'),
        publicPath: '/',
        filename: 'bundle.js'
    },
    
    externals: [nodeExternals()],
    
    module: {
        loaders: [{
            test: /\.css$/,
            use: ['style-loader', 'css-loader']
        },{
            test: /\.(png|jpg|ico)$/,
            exclude: /node_modules/,
            loader: 'file-loader',
            options: {
                limit: 10000
            }
        }]
    }
};

module.exports = config;